<?php

namespace Smirik\BootstrapBundle\Twig;

use Twig\Environment;
use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class BootstrapExtension extends AbstractExtension
{
    public function getFunctions()
    {
        return [
            new TwigFunction('bootstrap_js', [$this, 'bootstrap_js'], ['needs_environment' => true, 'is_safe' => ['html']]),
            new TwigFunction('bootstrap_css', [$this, 'bootstrap_css'], ['needs_environment' => true, 'is_safe' => ['html']]),
        ];
    }

    public function bootstrap_js(Environment $environment)
    {
        return $environment->render('SmirikBootstrapBundle:Bootstrap:js.html.twig');
    }

    public function bootstrap_css(Environment $environment)
    {
        return $environment->render('SmirikBootstrapBundle:Bootstrap:css.html.twig');
    }
}